Bug 252995 - Let ScopeProvider report a Problem
Summary: Let ScopeProvider report a Problem
Status: RESOLVED FIXED
Alias: None
Product: editor
Classification: Unclassified
Component: Refactoring (show other bugs)
Version: 8.1
Hardware: All All
: P2 normal (vote)
Assignee: Ralph Ruijs
URL: http://wiki.netbeans.org/FindUsagesDe...
Keywords: API, API_REVIEW_FAST
Depends on:
Blocks: 55291
  Show dependency tree
 
Reported: 2015-06-15 08:34 UTC by Ralph Ruijs
Modified: 2015-06-30 01:21 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2015-06-15 08:34:16 UTC
To support Find usages in Dependencies, the new scopes need a way to display information.

When a ScopeProvider should be displayed, it returns true from the initialize method, but if it will not work or work as expected the ScopeProvider can return a Problem. Added the method getProblem() to ScopeProvider and getScopeProvider() to ScopePanel.
Comment 1 Ralph Ruijs 2015-06-15 08:43:40 UTC
Please review the apichange on the find-in-dependencies branch.

http://hg.netbeans.org/jet-main/rev/c8bae420a42e
Comment 2 Ralph Ruijs 2015-06-24 08:12:25 UTC
No objections so far. I'd like to integrate tomorrow.
Comment 3 Ralph Ruijs 2015-06-27 10:31:01 UTC
Fixed in jet-main 3384f2391053 & aef84a95afe9
Comment 4 Quality Engineering 2015-06-30 01:21:23 UTC
Integrated into 'main-silver', will be available in build *201506300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/aef84a95afe9
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: #252995 - Let ScopeProvider report a Problem